:: build_bin.bat
::	compile & build GReAT source files
:: 
:: Arguments:
::	- none
::	
:: Requirements:
::	1. vcvars32.bat and MSDEV.exe must be in PATH
::	2. Environment variable GREAT_PATH must be set to the local GReAT root folder
::	3. Environment variable GREAT_3RDPARTY must be set to the local GReAT 3rdParty folder
::	4. Environment variable UDM_PATH must be set to the local UDM root folder
::	5. Environment variable UDM_3RDPARTY must be set to the local UDM 3rdParty folder (source)

	SET ERRORLEV=0
	call vcvars32.bat
	set PATH=%PATH%;%UDM_PATH%/bin
	set INCLUDE=%UDM_3RDPARTY%\STL;%UDM_3RDPARTY%\XERCES\XERCES-C_2_5_0-WINDOWS_NT-MSVC_60\INCLUDE;%UDM_3RDPARTY%\XERCES\XERCES-C_2_5_0-WINDOWS_NT-MSVC_60\INCLUDE\XERCESC;%UDM_3RDPARTY%\XALAN\XALAN-C_1_8_0-WINDOWS_2000-MSVC_60\INCLUDE;%UDM_3RDPARTY%\XALAN\XALAN-C_1_8_0-WINDOWS_2000-MSVC_60\INCLUDE\XALANC;%GREAT_3RDPARTY%;%GREAT_3RDPARTY%\HTML HELP WORKSHOP\INCLUDE;%INCLUDE%
	set LIB=%UDM_3RDPARTY%\XERCES\XERCES-C_2_5_0-WINDOWS_NT-MSVC_60\LIB;%UDM_3RDPARTY%\XALAN\XALAN-C_1_8_0-WINDOWS_2000-MSVC_60\LIB;%UDM_3RDPARTY%\ZLIB\;%GREAT_3RDPARTY%\HTML HELP WORKSHOP\LIB;%GREAT_3RDPARTY%\BOOST\LIB;%LIB%
	cd /d %GREAT_PATH%
REM	MSDEV GReAT.dsw /MAKE "GReATAll - Win32 Release" /REBUILD /USEENV	
REM	MSDEV GReAT.dsw /MAKE "GReATAll - Win32 Debug" /REBUILD /USEENV	
	MSDEV GReAT.dsw /MAKE "GReATAll - Win32 Release" /USEENV	
	MSDEV GReAT.dsw /MAKE "GReATAll - Win32 Debug" /USEENV
	IF ERRORLEVEL 1 SET ERRORLEV=1
