// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__E056F4AA_C8B1_4CE2_B83E_01DA1FCE308F__INCLUDED_)
#define AFX_MAINFRM_H__E056F4AA_C8B1_4CE2_B83E_01DA1FCE308F__INCLUDED_


#include "SourceViewFrame.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ProgBar.h"

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	
	DECLARE_DYNCREATE(CMainFrame)

  void DockControlBarNextTo(CControlBar* pBar,
                            CControlBar* pTargetBar);

protected:
  CImageList*  m_ctrlImageList;
  CImageList*  m_breakImageList;
//    CSplitterWnd m_wndSplitter;
// Attributes
public:
CMainFrame();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
  CString m_statusBarTxt;

  CProgStatusBar m_wndProgStatusBar;
protected:
//	CStatusBar  m_wndStatusBar;


  CToolBar    m_ctrlToolBar;
  CToolBar    m_breakToolBar;

  UINT        m_maxPrg;

public :
  SourceViewFrame* m_logViewFrame;
  SourceViewFrame* m_stackViewFrame;
// Generated message map functions
  void StatusBarMessage(const CString& sReplacementText);
  void SetProgress(double);

protected:

	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewStack();
	afx_msg void OnUpdateViewStack(CCmdUI* pCmdUI);
	afx_msg void OnViewLog();
	afx_msg void OnUpdateViewLog(CCmdUI* pCmdUI);
	afx_msg void OnHelpText();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__E056F4AA_C8B1_4CE2_B83E_01DA1FCE308F__INCLUDED_)
