// mybar.cpp : implementation file
//

#include "stdafx.h"
#include "SourceViewFrame.h"
#include "GRDebuggerGUIView.h"
#include "GRDebuggerGUIDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SourceViewFrame

SourceViewFrame::SourceViewFrame(CView* view) : m_view(view)
{
}

SourceViewFrame::~SourceViewFrame()
{
}


BEGIN_MESSAGE_MAP(SourceViewFrame, CSizingControlBar)
    //{{AFX_MSG_MAP(SourceViewFrame)
    ON_WM_CREATE()
    ON_WM_SIZE()
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// SourceViewFrame message handlers

int SourceViewFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
    if (CSizingControlBar::OnCreate(lpCreateStruct) == -1)
        return -1;
	
 	if (!m_view	->Create(NULL, NULL, AFX_WS_DEFAULT_VIEW,
 		CRect(0,0,0,0), this, 0, 0))
 	{
 		TRACE0("Warning: could not create view for frame.\n");
 		return NULL;        // can't continue without a view
 	}

  return 0;
}

void SourceViewFrame::OnUpdateCmdUI(CFrameWnd* pTarget, BOOL bDisableIfNoHndler)
{
    CSizingControlBar::OnUpdateCmdUI(pTarget, bDisableIfNoHndler);

    UpdateDialogControls(pTarget, bDisableIfNoHndler);
}

void SourceViewFrame::OnSize(UINT nType, int cx, int cy) 
{
    CSizingControlBar::OnSize(nType, cx, cy);

    // TODO: Add your message handler code here
    CRect rc;
    GetClientRect(rc);

    m_view->MoveWindow(rc);
}
