#if !defined(GRDebuggerAPI_h)
#define GRDebuggerAPI_h
#include <string>

namespace GRDI
{
 class IGRDFrontEnd;
 class GRDebugNotification;
 class IGRDebuggerCtrl;
 class IGRDebuggerView;
};

class GRDebuggeeAPI;

//======================================

class GRDebuggerAPI
{
public:

  virtual ~GRDebuggerAPI() {}

  virtual void init(const std::string&) = 0;

  virtual void setFrontEnd(GRDI::IGRDFrontEnd* frontEnd) = 0;
  virtual GRDI::GRDebugNotification* getNotificationInterface() = 0;
  virtual GRDI::IGRDebuggerCtrl* getIGRDebuggerCtrl() = 0;
  virtual void setIGRDebuggerView(GRDI::IGRDebuggerView* ) = 0;

};

//======================================

class GRDebuggerConsolAPI
{
public:

  virtual ~GRDebuggerConsolAPI() {}

  virtual void setIGRDebuggerCtrl(GRDI::IGRDebuggerCtrl* debuggerCtrl) = 0;
  virtual GRDI::IGRDebuggerView* getIGRDebuggerView() = 0;

};


#endif //GRDebuggerAPI_h
