#if !defined(AFX_CONFIGURATIONDLG_H__5F9AE615_0C35_4FE4_AFC1_EB841FB1663A__INCLUDED_)
#define AFX_CONFIGURATIONDLG_H__5F9AE615_0C35_4FE4_AFC1_EB841FB1663A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigurationDlg.h : header file
//

#include "resource.h"
#include "GRIDCTRL_SRC\GridCtrl.h"
#include "GridBtnCell_src\BtnDataBase.h"
#include "UdmApp.h"

/////////////////////////////////////////////////////////////////////////////
// CConfigurationDlg dialog

class CConfigurationDlg : public CDialog
{
// Construction
public:
	CConfigurationDlg(CWnd* pParent = NULL);   // standard constructor
	CConfigurationDlg(vector<FileTypeInfo> *ftInfos, CWnd* pParent = NULL);   

// Dialog Data
	//{{AFX_DATA(CConfigurationDlg)
	enum { IDD = IDD_GRENGINEDLG_DIALOG };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigurationDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	vector<FileTypeInfo> *fileTypeInfos;
	CGridCtrl m_Grid;
    CBtnDataBase m_BtnDataBase; // grid with some cells with buttons / controls

	void CreateButtonCell(int row, int col);
	void CreateListCell(int row, int col, const CStringArray &textlist);
	// Generated message map functions
	//{{AFX_MSG(CConfigurationDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
    afx_msg void OnGridEndEdit(NMHDR *pNotifyStruct, LRESULT* pResult);
    afx_msg void OnGridClick(NMHDR *pNotifyStruct, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGURATIONDLG_H__5F9AE615_0C35_4FE4_AFC1_EB841FB1663A__INCLUDED_)
