#ifndef XSLTRANSFORMER_H
#define XSLTRANSFORMER_H


//using namespace std;


/**************************************************************************

	XSLTransformer - wrapper for an XSLT engine

	Parameters:
		xform - string representation of the .xsl filename

	Required Libraries:
		Xerces-C_2.lib (release)
	  Xalan-C_1.lib (release)
		Xerces-C_2D.lib (debug)
		Xalan-C_1D.lib (debug)

***************************************************************************/

// Xalan XSLT transformer wrapper 
// Open file with name 'file_in' save the transformed output to file with name 'file_out', 
// using the XSLT script stored as a resource with name 'resource_name', type 'resource_type'
// in module 'module_name'. WARNING! 'module_name' must be in DOS short name format!
int executeTransform( 
					 const char* file_in, 
					 const char* file_out, 
					 const char* module_name,
					 const char* resource_name,
					 const char* resource_type
					 );
// Xalan XSLT transformer wrapper 
// Open file with name 'file_in' save the transformed output to file with name 'file_out', 
// using the XSLT script in file 'file_xsl'.
int executeTransform( const char * file_in, const char * file_out, const char * file_xsl);

#endif // XSLTRANSFORMER_H
